#
# spec file for package libretro-beetle-wswan
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-beetle-wswan
Version:        0~git20200120
Release:        bp153.1.14
Summary:        Mednafen WonderSwan libretro core for WonderSwan emulation
License:        GPL-2.0
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

Provides:       libretro-mednafen-wswan
Obsoletes:      libretro-mednafen-wswan

%description
Standalone port of Mednafen WonderSwan to libretro, itself a fork of Cygne.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mednafen_wswan_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mednafen_wswan_libretro.so

%changelog
* Mon Jan 20 2020 kkaempf@suse.com
- Update to version 0~git20200120:
  * backport 1.24.0 fixes
  * Backport variable audio rate
  * Update name to Beetle
  * Prevent 'double free' crash when closing content
  * (MSVC 2017) Buildfix
  * (tvOS) support building
  * libretro: Update Core Options API
  * libretro: allow mingw cross compile
  * iOS: support for building using buildbot recipe
* Thu Oct 10 2019 i@guoyunhe.me
- Update to version 0~git20190914:
  * (tvOS) support building
  * libretro: Update Core Options API
  * libretro: allow mingw cross compile
  * iOS: support for building using buildbot recipe
  * Turkish Language Support
  * Add new enhanced core options
  * Get rid of asserts
  * libretro: jni: Switch stl to c++ in preparation for ndk r20
  * WonderSwan: Fixed off-by-1 bugs in window coordinate evaluation, per tip from trap15.
- Rename to libretro-beetle-wswan to follow upstream naming
- Remove info file because it is provided in core info package
* Wed Sep 13 2017 aplazas@suse.com
- Initial package, version 0~20170907.4b543be (no proper versioning
  done by upstream).
